--------------------------------------------------------
--  DDL for View OCI_COST_AND_USAGE_TAGS_VW
--------------------------------------------------------

  CREATE OR REPLACE FORCE EDITIONABLE VIEW "OTHQ_OWN"."OCI_COST_AND_USAGE_TAGS_VW" ("RESOURCEID", "SDDC_DEPLOYMENT", "SDDC_GROUP", "SDDC_ARCHITECTURE", "SDDC_MOLECULE", "SDDC_RELEASE", "SDDC_RELEASE_VERSION", "SDDC_RESOURCE_PERMISSIONS", "SDDC_ROLE", "SDDC_SERVICE_ENVIRONMENT", "SDDC_SERVICE_LEVEL", "SDDC_CLUSTER_LOCATION", "SDDC_RESOURCE_CREATOR", "SDDC_RESOURCE_TRACKING_NSOCI") DEFAULT COLLATION "USING_NLS_COMP"  AS 
  SELECT
  RESOURCEID,
  JSON_VALUE(TAGS, '$."root_SDDC.Deployment"')           AS SDDC_DEPLOYMENT,
  JSON_VALUE(TAGS, '$."root_SDDC.Group"')                AS SDDC_GROUP,
  JSON_VALUE(TAGS, '$."root_SDDC.Architecture"')         AS SDDC_ARCHITECTURE,
  JSON_VALUE(TAGS, '$."root_SDDC.Molecule"')             AS SDDC_MOLECULE,
  JSON_VALUE(TAGS, '$."root_SDDC.Release"')              AS SDDC_RELEASE,
  JSON_VALUE(TAGS, '$."root_SDDC.ReleaseVersion"')       AS SDDC_RELEASE_VERSION,
  JSON_VALUE(TAGS, '$."root_SDDC.ResourcePermissions"')  AS SDDC_RESOURCE_PERMISSIONS,
  JSON_VALUE(TAGS, '$."root_SDDC.Role"')                 AS SDDC_ROLE,
  JSON_VALUE(TAGS, '$."root_SDDC.ServiceEnvironment"')   AS SDDC_SERVICE_ENVIRONMENT,
  JSON_VALUE(TAGS, '$."root_SDDC.ServiceLevel"')         AS SDDC_SERVICE_LEVEL,
  JSON_VALUE(TAGS, '$."root_SDDC.cluster_location"')     AS SDDC_CLUSTER_LOCATION,
  JSON_VALUE(TAGS, '$."root__NSGBU.ResourceCreator"')    AS SDDC_RESOURCE_CREATOR,
  JSON_VALUE(TAGS, '$."root__oraclenetsuiteResourceTracking.nsoci"') AS SDDC_RESOURCE_TRACKING_NSOCI
FROM SRC_OCI_COST_AND_USAGE_TB
;
